This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 183048 - vino high cpu usage
vino high cpu usage
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-25 14:14 EST by David Bentley
Modified: 2013-03-05 22:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-26 19:23:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Bentley 2006-02-25 14:14:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060223 Fedora/1.5.0.1-5 Firefox/1.5.0.1

Description of problem:
On my Athalon 1200 system vino when in use is causing much higher than expected 
cpu usage approx 45% overhead as compared with vncserver about 5% and on a freinds
K6 400 machine with vino running the over head is about 80% making it unusable
remotly and on this machine if you use vncserver the overhead is about the same as 
on my athalon ie about 5%

Version-Release number of selected component (if applicable):
vino-2.13.5-2.2

How reproducible:
Always

Steps to Reproduce:
Use either vino or vncserver to view a desktop remotely and see the huge 
difference in cpu usage.

Actual Results:  very high cpu overhead compared to vncserver

Expected Results:  comparable cpu overhead to vncserver

Additional info:
Comment 1 David Bentley 2006-03-06 13:58:25 EST
Just wondered has this been forgotten about or will it get fixed post FC5 release.
Comment 2 Johnny Hughes 2006-05-09 06:42:02 EDT
This might be related to this bug:

http://bugs.centos.org/view.php?id=1339

If so, the patch for vino-server.c listed here fixed the issue for
vino-2.8.1-1.src.rpm (the version in RHEL-4 Update 3):

http://bugzilla.gnome.org/show_bug.cgi?id=332011


Comment 3 Matthias Clasen 2007-03-26 19:23:25 EDT
The fix was included in vino 2.16.0.

Note You need to log in before you can comment on or make changes to this bug.